------------------------------------------------------------------------------[[
-- Filename: credits.lua
--
-- Description: Contains the credits as they are seen on the screen. This file
-- is updated for every Allacrost release to reflect any new additions or to 
-- re-arrange the ordering. Each category is ordered from top to bottom, with
-- the persons who contributed the most near the top. 
------------------------------------------------------------------------------]]

credits_text = 
	"Hero of Allacrost Development Team\n" ..
	"\n\n\n\n" ..

	"Founder and Lead Designer\n\n" ..
	"Tyler Olsen (Roots)\n\n" ..
	"\n\n\n" ..

	"Deputy Lead\n\n" ..
	"Philip Vorsilak (gorzuate)\n\n" ..
	"\n\n\n" ..

	"Programming Team\n\n" ..

	"Tyler Olsen (Roots) ~ programming lead, game engine, map code\n\n" ..
	"Moises Ferrer Serra (byaku) ~ video engine, audio engine\n\n" ..
	"Philip Vorsilak (gorzuate) ~ game editor\n\n" ..
	"Andy Gardner (ChopperDave) ~ battle code, menu code\n\n" ..
	"Viljami Korhonen (MindFlayer) ~ boot code, battle code\n\n" ..
	"Guillaume Anctil (Drakkoon) ~ map code\n\n" ..
	"Daniel Steuernol (Steu) ~ scripting engine\n\n" ..
	"Lindsay Roberts (Linds) ~ video engine\n\n" ..
	"Jacob Rudolph (rujasu) ~ menu code\n\n" ..

	"\n\n\n" ..

	"Artwork Team\n\n" ..
	"Richard Kettering (Jetryl) ~ map tiles, map sprites, inventory icons, location graphics\n\n" ..
	"Brett Steele (Safir~Kreuz) ~ map sprites, battle sprites, character portraits\n\n" ..
	"Joe Raucci (Sylon) ~ battle sprites, map sprites, GUI artwork\n\n" ..
	"Josiah Tobin (Josiah Tobin) ~ map tiles\n\n" ..
	"Matthew James (nunvuru) ~ website graphics, GUI artwork, game logos\n\n" ..
	"Max Humber (zomby138) ~ concept art, computer graphics\n\n" ..
        "Herbert Glaser (hollowgrind) ~ map sprites\n\n" ..
        "Adam Black (indigoshift) ~ concept art\n\n" ..
	"\n\n\n" ..

	"Music and Sound Team\n\n" ..
	"Ryan Reilly (Rain) ~ music and sound lead, soundtrack composer\n\n" ..
	"Joe Rouse (Loodwig) ~ soundtrack composer\n\n" ..
	"Zhe Zhou (shizeet) ~ sound composer\n\n" ..
	"Jamie Bremaneson (Jam) ~ sound composer\n\n" ..
	"\n\n\n" ..

	"Map Designers\n\n" ..
	"Richard Kettering (Jetryl)\n\n" ..
	"Tyler Olsen (Roots)\n\n" ..
	"\n\n\n" ..

	"Team Manager\n\n" ..
	"Emre Motan (emrebfg)\n\n" ..
	"\n\n\n" ..

	"Online Services\n\n" ..
	"Matthew James (nunvuru) ~ website design\n\n" ..
	"Emre Motan (emrebfg) ~ website content, forum administration\n\n" ..
	"Daniel Steuernol (Steu) ~ wiki support\n\n" ..
        "Heikki Naski (raging_hog) ~ Content Management System\n\n" ..
	"\n\n\n" ..

	"Story\n\n" ..
	"Tyler Olsen (Roots) ~ author\n\n" ..
	"Tim Hargreaves (Balthazar) ~ editor\n\n" ..
	"\n\n\n" ..

	"Packaging\n\n" ..
	"Philip Vorsilak (gorzuate) ~ Source distribution\n\n" ..
	"Viljami Korhonen (MindFlayer) ~ Windows distribution\n\n" ..
	"Alistair Lynn (prophile) ~ OS X distribution\n\n" ..
	"(ettin) ~ Debian distribution\n\n" ..
        "Dmitry Marakasov (AMDmi3) ~ FreeBSD distribution\n\n" ..
	"\n\n\n" ..

	"Additional Programming\n\n" ..
	"Corey Hoffstein (visage) ~ battle code\n\n" ..
	"Raj Sharma (roos) ~ video engine\n\n" ..
	"Aaron Smith (Etherstar) ~ audio engine\n\n" ..
	"Nick Weihs (nickw) ~ video engine\n\n" ..
	"Vladimir Mitrovic (snipe714) ~ scripting engine\n\n" ..
	"Farooq Mela (CamelJockey) ~ video engine\n\n" ..
	"Kevin Martin (kev82) ~ video engine, game engine\n\n" ..
	"\n\n\n" ..

	"Additional Artwork\n\n" ..
	"John W. Bjerk (eleazar) ~ map tiles\n\n" .. 
	"Mark Goodenough (RangerM) ~ map sprites, map tiles\n\n" ..
	"Richard Marks (DeveloperX) ~ map tiles\n\n" ..
	"Victoria Smith (alenacat) ~ map sprites, map tiles\n\n" ..
	"Jerimiah Short (BigPapaN0z) ~ map tiles\n\n" ..
	"Tyler Stroud (gloomcover) ~ map tiles\n\n" ..
	"Tyler Olsen (Roots) ~ various art\n\n" ..
	"Jason Frailey (Valdroni) ~ concept art, map sprites\n\n" ..
	"Nathan Christie (Adarias) ~ concept art, map sprites, map tiles\n\n" ..
	"(fmunoz) ~ inventory icons\n\n" ..
	"(Jarks) ~ map tiles, inventory icons\n\n" ..
	"(wayfarer) ~ Concept art, map sprites\n\n" ..
	"Chris Luspo (Venndetta1) ~ concept art\n\n" ..
	"Jon Williams (Jonatron) ~ map sprites\n\n" ..
	"\n\n\n" ..

	"Additional Music and Sound\n\n" ..
	"Simon Frisch (SimonF) ~ soundtrack composer\n\n" ..
	"Matt Dexter (Star Pilot) ~ soundtrack composer\n\n" ..
	"Jean Malary (hamiko) ~ sound mixer\n" ..
	"\n\n\n" ..

	"Additional Internet Services\n\n" ..
	"Tim Hargreaves (Balthazar) ~ previous website, forum administration\n\n" ..
	"Felix Kastner (Biohazard) ~ previous website\n\n" ..
	"\n\n\n" ..

	"Additional Translation\n\n" ..
	"Mikko Hanninen (Burnsaber) ~ Finnish prologue\n\n" ..
	"\n\n\n" ..

        "Special Thanks\n\n" ..
        "(Danc)\n\n" ..
        "The Battle for Wesnoth Development Team\n\n" ..
        "The Mana World Game Development Team\n\n" ..
        "\n\n\n" ..

	"Extra Thanks\n\n" ..
	"Adam Lindquist (Zorbfish)\n\n" ..
	"(Melchior)\n\n" ..
	"(Egan1)";

-- end credits_text
